function random (min, max) {
  return Math.floor(Math.random() * (max - min + 1) + min)
}

class Crossover {

  static standard (a, b) {
    const cutPoint = random(0, a.neurons.length - 1)
    for (let i = cutPoint; i < a.neurons.length; ++i) {
      let t = a.neurons[i].bias
      a.neurons[i].bias = b.neurons[i].bias
      b.neurons[i].bias = t
    }
    return Math.random() < 0.5 ? a : b
  }

}

module.exports = Crossover
