class Mutation {

  static standard (network, mutationRate) {
    network.neurons.forEach(neuron => {
      if (Math.random() < mutationRate) neuron.bias = Mutation.mutate(neuron.bias)
    })
    network.connections.forEach(connection => {
      if (Math.random() < mutationRate) connection.weight = Mutation.mutate(connection.weight)
    })
    return network
  }

  static mutate (value) {
    return value * (1 + ((Math.random() - 0.5) * 3 + (Math.random() - 0.5)))
  }

}

module.exports = Mutation
