# evonet
Evolutionary Neural Network library

__NOTE: Evonet is still in the initial planning & implementation stages, I will be developing this library over the course of the next few months (November 2017-January 2018).__

## What?
Evonet is a library that makes the creation of a fully-connected neural network (AKA "multilayer perceptron") super simple, and provides an easy way to evolve this network over time using a built-in genetic algorithm.

Aspects of both the neural network and the genetic elgorithm can be tweaked and modified, and custom fitness functions and evolution thresholds can be specified.

## Why?
As part of my undergraduate studies, I built an 'artifical intelligence' that learned how to play different computer games from basic sensor inputs. Although many great existing libraries exist for both neural networks and genetic algorithms, I decided to make my own which combined them both into a single-purpose library.

However, Evonet does also support standard reinforcement learning through backpropogation, as I also had a system whereby the NN would learn by previous gameplay from a human.

## How?

Evonet is available via npm.

````shell
npm install --save evonet
````
